import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;


/** Hauptservlet der Artikelveraltung
  * Hierin wird die Artikelliste erzeugt, die Artikel gelscht und gespeichert
  *
  * @author Bernhard Fiser 0109815
  * @version 1.1
  */
public class ArtikelListeServlet extends HttpServlet
{
	private static ArtikelVerwaltung
			av;

	/** Servletinitialisierung beim erstmaligen Laden des Servlets
          * vom Tomcat */
	public void init()
	{
		av = ArtikelVerwaltung.getInstance();
	}

	/** Methode fr CGI-POST. Diese wird auf die doGet Methode
	  * weitergeleitet */
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException
	{
		this.doGet(request, response);
	}

	/** Methode fr CGI-GET. Hier findet die Verarbeitung der Daten statt */
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException
	{
		int	id,
			preis,
			menge,
			c;
		String	desc,
			url,
			bg;

		/* Contenttype fr output setzen */
		response.setContentType("text/html");
		/* Outputstream festhalten */
		PrintWriter out = response.getWriter();
//		request.getSession(true);
		/* HTML-Doc Einleitung */
		out.println(
			"<html><head><meta name=\"author\" content=\"Bernhard Fiser\">" +
			"<meta name=\"date\" content=\"2002-06-09T08:28:00+02:00\">" +
			"<title>Artikelverwalung:ArtikelListe - Bernhard Fiser 0109815</title></head><body bgcolor=\"#ffffff\">\n");

		/* Button fr Neuanlage generiern*/
		out.println("<form method=\"post\" action=\"WarenkorbServlet\"><input type=\"submit\" value=\"Zur&uuml;ck zum Warenkorb\"></form><hr>");
		/* Tabelle der vorhandenen Artikel generieren */
		out.println("<table border=\"1\"><tr><th>ID</th><th>Beschreibung</th><th>Einzelpreis</th><th>Lagermenge</th><th>URL</th></tr>");
		/* Iterator der Hashmap erstellen */
		Iterator it = av.iterator();
		c = 0;
		/* ber jedes Objekt iterieren */
		while (it.hasNext())
		{
			/* Hintergrundfarbe der Tabelle festlegen */
			if ((c++ % 2) == 0)
				bg = "#aaeeaa";
			else
				bg = "#eeeeaa";
			/* Artikel auslesen aus der Hashmap */
			Artikel a = (Artikel) it.next();
			/* Zeile mit den Artikelattribute ausgeben */
			out.println(
				"<form method=\"post\" action=\"WarenkorbServlet\">\n<input type=\"hidden\" name=\"cgi_id\" value=\"" + a.getID() + "\">\n" +
				"<tr bgcolor=\"" + bg + "\">" +
				"<td>" + a.getID() + "</td>" +
				"<td>" + a.getDescription() + "</td>" +
				"<td>" + (double) a.getPreis() / 100 + "</td>" +
				"<td>" + a.getMenge() + "</td>" +
				"<td><a href=\"" + a.getURL() + "\">" + a.getURL() + "</a></td>");
			/* Falls vorhandene Lagermenge >= 1 dann Bestellfelder anzeigen */
			if (a.getMenge() >= 1)
				out.println(
					"<td><input type=\"text\" name=\"cgi_menge\" value=\"1\" size=\"3\"></td>" +
					"<td><input type=\"submit\" name=\"cgi_chg\" value=\"In den Warenkorb\"></td>");
			out.println("</tr></form>\n");
		}
		/* Tabelle und HTML-Doc beenden */
		out.println("</table></body></html>\n");
	}

}
